sayren Docs
상점 설정

이메일·비밀번호 로그인 켜기·끄기

끄면 스토어프론트의 이메일·비밀번호 가입·로그인이 403 `PASSWORD_LOGIN_DISABLED`다. 비밀번호로만 로그인하는 구매자는 로그인할 수 없게 되므로 `passwordOnlyMemberCount`를 먼저 확인한다.

PATCH
/v1/store/login-settings

끄면 스토어프론트의 이메일·비밀번호 가입·로그인이 403 PASSWORD_LOGIN_DISABLED다. 비밀번호로만 로그인하는 구매자는 로그인할 수 없게 되므로 passwordOnlyMemberCount를 먼저 확인한다.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
passwordLoginEnabled*boolean

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X PATCH 'https://api.sayren.io/v1/store/login-settings' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "passwordLoginEnabled": true}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "passwordLoginEnabled": true,    "passwordOnlyMemberCount": 0,    "storefrontOrigins": [      "string"    ],    "providers": [      {        "provider": "kakao",        "connected": true,        "enabled": true,        "clientIdPrefix": "string",        "secretPrefix": "string",        "lastTestedAt": "string",        "lastTestOk": true,        "linkedMemberCount": 0,        "onlyMethodMemberCount": 0,        "callbackUrl": "http://example.com"      }    ]  },  "error": null}